Page MenuHome

Bevel Tool / Vertex Only : width/depth value is wrong.
Closed, ResolvedPublic

Description

System Information
Operating system: Kubuntu 19.04
Graphics card: GeForce GTX 660 NVIDIA 430.09

Blender Version
Broken: version: 2.80 (sub 60), branch: blender2.7, commit date: 2019-04-30 22:49, hash: rB480a09a92f7f

Hi,

Thank you to resolve T63759, now here is the sequel.
In edit mode, Bevel Tool -> Vertex Only : when I enter a width value, it is wrong on the plane or the cube with the width/depth type (see images below).
It's OK with the offset type.
In addition, on the vertex's bevel of a cube, it's more difficult because I don't know where is the right width or the good depth, it's easier on a edge.
You can see we find the same wrong values on the plane and the cube.

  • plane:

  • cube:

Event Timeline

George Vogiatzis (Gvgeo) claimed this task.

Of course, it is my mistake.

I had exactly this problem at some point.
I thought I solve it. I did measure the cube A LOT.
But at some point managed to break it?
I don't remember now, what it was. But will try to find it again.

Howard Trickey (howardt) closed this task as Resolved.May 7 2019, 3:33 PM
brochard (brochignac) reopened this task as Open.May 9 2019, 12:05 PM

Blender Version
Broken: version: 2.80 (sub 60), branch: blender2.7, commit date: 2019-05-08 22:27, hash: rBe2d04229c38b

Hi,
Very good job, Offset and Depth work fine.
But I'm sorry, I still have a error with the Widht Type.

George Vogiatzis (Gvgeo) closed this task as Resolved.EditedMay 9 2019, 2:11 PM

My bad, I saw you didn't guess the cryptic way of calculating width.
But till I find and fix the problem, I forgot to explain.
I'm not sure, what the last shape is. So I used your first one. Easier to point out.


The center axis(used by depth) is calculated from the edges, and not the vertex normal(sometimes gives problems).

Not a perfect solution, but works.
It is too difficult to calculate the width, the way you expected.

I'm closing the bug. But if you find that the value is wrong, feel free to open it again.
If your need, clearer picture. I 'll be able to make a blend file later.
And thanks for not leaving it. It could easily be wrong for a long time, before some notice it.

OK, I understand your calculation, even if I do not completely agree with it: I understand it is difficult to calculate and I'm not a developer ;-).
The Widht value is equal to the diameter of a circle whose center is the orthocenter of the triangle formed by the edges.
It will have to be explained in the documentation.


And if we increase the number of segments, it changes the whole topology of the corner. It's getting harder and harder to find a good bevel value.

It's really not easy for a bevel on a Vertex Only.